
Процедура ЗаполнитьТЧКонтактнаяИнформация() Экспорт
	Выборка = Справочники.Клиенты.Выбрать();
	Пока Выборка.Следующий() Цикл
		Объект = Выборка.ПолучитьОбъект();
		Объект.КонтактнаяИнформация.Очистить();
		НадоЗаписать = Ложь;
		Если ЗначениеЗаполнено(Объект.УдалитьАдресПоПрописке) Тогда
			СтрокаТЧ = Объект.КонтактнаяИнформация.Добавить();
			СтрокаТЧ.ВидКонтактнойИнформации = Справочники.ВидыКонтактнойИнформации.АдресПоПрописке;
			СтрокаТЧ.Значение = Объект.УдалитьАдресПоПрописке;
			НадоЗаписать = Истина;
		КонецЕсли;
		
		Если ЗначениеЗаполнено(Объект.УдалитьАдресПроживания) Тогда
			СтрокаТЧ = Объект.КонтактнаяИнформация.Добавить();
			СтрокаТЧ.ВидКонтактнойИнформации = Справочники.ВидыКонтактнойИнформации.АдресРегистрации;
			СтрокаТЧ.Значение = Объект.УдалитьАдресПроживания;
			НадоЗаписать = Истина;
		КонецЕсли;
		
		Если ЗначениеЗаполнено(Объект.УдалитьТелефон) Тогда
			СтрокаТЧ = Объект.КонтактнаяИнформация.Добавить();
			СтрокаТЧ.ВидКонтактнойИнформации = Справочники.ВидыКонтактнойИнформации.Телефон;
			СтрокаТЧ.Значение = Объект.УдалитьТелефон;
			НадоЗаписать = Истина;
		КонецЕсли;
		
		Если ЗначениеЗаполнено(Объект.УдалитьEmail) Тогда
			СтрокаТЧ = Объект.КонтактнаяИнформация.Добавить();
			СтрокаТЧ.ВидКонтактнойИнформации = Справочники.ВидыКонтактнойИнформации.Email;
			СтрокаТЧ.Значение = Объект.УдалитьEmail;
			НадоЗаписать = Истина;
		КонецЕсли;
		
		Если НадоЗаписать Тогда
			Объект.Записать();
		КонецЕсли;
	КонецЦикла;
КонецПроцедуры